IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fc0a:6000::/20- First address
fc0a:6000::- Last address
fc0a:6fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fc0a:6000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
6.a.0.c.f.ip6.arpa
Split into smaller subnets
fc0a:6000::/20 makes 65,536 subnets of /36; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc0a:6000::/36 | fc0a:6000:fff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc0a:6000:1000::/36 | fc0a:6000:1fff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc0a:6000:2000::/36 | fc0a:6000:2fff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc0a:6000:3000::/36 | fc0a:6000:3fff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc0a:6000:4000::/36 | fc0a:6000:4fff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc0a:6000:5000::/36 | fc0a:6000:5fff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc0a:6000:6000::/36 | fc0a:6000:6fff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc0a:6000:7000::/36 | fc0a:6000:7fff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc0a:6000:8000::/36 | fc0a:6000:8fff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc0a:6000:9000::/36 | fc0a:6000:9fff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc0a:6000:a000::/36 | fc0a:6000:afff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc0a:6000:b000::/36 | fc0a:6000:bfff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc0a:6000:c000::/36 | fc0a:6000:cfff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc0a:6000:d000::/36 | fc0a:6000:dfff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc0a:6000:e000::/36 | fc0a:6000:efff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc0a:6000:f000::/36 | fc0a:6000:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc0a:6001::/36 | fc0a:6001:fff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc0a:6001:1000::/36 | fc0a:6001:1fff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc0a:6001:2000::/36 | fc0a:6001:2fff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc0a:6001:3000::/36 | fc0a:6001:3fff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc0a:6001:4000::/36 | fc0a:6001:4fff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc0a:6001:5000::/36 | fc0a:6001:5fff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc0a:6001:6000::/36 | fc0a:6001:6fff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc0a:6001:7000::/36 | fc0a:6001:7fff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc0a:6001:8000::/36 | fc0a:6001:8fff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc0a:6001:9000::/36 | fc0a:6001:9fff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc0a:6001:a000::/36 | fc0a:6001:afff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc0a:6001:b000::/36 | fc0a:6001:bfff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc0a:6001:c000::/36 | fc0a:6001:cfff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc0a:6001:d000::/36 | fc0a:6001:dfff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc0a:6001:e000::/36 | fc0a:6001:efff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc0a:6001:f000::/36 | fc0a:6001:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc0a:6002::/36 | fc0a:6002:fff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc0a:6002:1000::/36 | fc0a:6002:1fff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc0a:6002:2000::/36 | fc0a:6002:2fff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc0a:6002:3000::/36 | fc0a:6002:3fff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc0a:6002:4000::/36 | fc0a:6002:4fff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc0a:6002:5000::/36 | fc0a:6002:5fff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc0a:6002:6000::/36 | fc0a:6002:6fff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc0a:6002:7000::/36 | fc0a:6002:7fff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc0a:6002:8000::/36 | fc0a:6002:8fff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc0a:6002:9000::/36 | fc0a:6002:9fff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc0a:6002:a000::/36 | fc0a:6002:afff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc0a:6002:b000::/36 | fc0a:6002:bfff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc0a:6002:c000::/36 | fc0a:6002:cfff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc0a:6002:d000::/36 | fc0a:6002:dfff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc0a:6002:e000::/36 | fc0a:6002:efff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc0a:6002:f000::/36 | fc0a:6002:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc0a:6003::/36 | fc0a:6003:fff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc0a:6003:1000::/36 | fc0a:6003:1fff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc0a:6003:2000::/36 | fc0a:6003:2fff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc0a:6003:3000::/36 | fc0a:6003:3fff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc0a:6003:4000::/36 | fc0a:6003:4fff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc0a:6003:5000::/36 | fc0a:6003:5fff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc0a:6003:6000::/36 | fc0a:6003:6fff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc0a:6003:7000::/36 | fc0a:6003:7fff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc0a:6003:8000::/36 | fc0a:6003:8fff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc0a:6003:9000::/36 | fc0a:6003:9fff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc0a:6003:a000::/36 | fc0a:6003:afff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc0a:6003:b000::/36 | fc0a:6003:bfff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc0a:6003:c000::/36 | fc0a:6003:cfff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc0a:6003:d000::/36 | fc0a:6003:dfff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc0a:6003:e000::/36 | fc0a:6003:efff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc0a:6003:f000::/36 | fc0a:6003:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc0a:6004::/36 | fc0a:6004:fff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc0a:6004:1000::/36 | fc0a:6004:1fff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc0a:6004:2000::/36 | fc0a:6004:2fff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc0a:6004:3000::/36 | fc0a:6004:3fff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc0a:6004:4000::/36 | fc0a:6004:4fff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc0a:6004:5000::/36 | fc0a:6004:5fff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc0a:6004:6000::/36 | fc0a:6004:6fff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc0a:6004:7000::/36 | fc0a:6004:7fff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc0a:6004:8000::/36 | fc0a:6004:8fff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc0a:6004:9000::/36 | fc0a:6004:9fff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc0a:6004:a000::/36 | fc0a:6004:afff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc0a:6004:b000::/36 | fc0a:6004:bfff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc0a:6004:c000::/36 | fc0a:6004:cfff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc0a:6004:d000::/36 | fc0a:6004:dfff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc0a:6004:e000::/36 | fc0a:6004:efff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc0a:6004:f000::/36 | fc0a:6004:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc0a:6005::/36 | fc0a:6005:fff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc0a:6005:1000::/36 | fc0a:6005:1fff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc0a:6005:2000::/36 | fc0a:6005:2fff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc0a:6005:3000::/36 | fc0a:6005:3fff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc0a:6005:4000::/36 | fc0a:6005:4fff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc0a:6005:5000::/36 | fc0a:6005:5fff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc0a:6005:6000::/36 | fc0a:6005:6fff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc0a:6005:7000::/36 | fc0a:6005:7fff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc0a:6005:8000::/36 | fc0a:6005:8fff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc0a:6005:9000::/36 | fc0a:6005:9fff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc0a:6005:a000::/36 | fc0a:6005:afff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc0a:6005:b000::/36 | fc0a:6005:bfff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc0a:6005:c000::/36 | fc0a:6005:cfff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc0a:6005:d000::/36 | fc0a:6005:dfff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc0a:6005:e000::/36 | fc0a:6005:efff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc0a:6005:f000::/36 | fc0a:6005:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc0a:6006::/36 | fc0a:6006:fff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc0a:6006:1000::/36 | fc0a:6006:1fff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc0a:6006:2000::/36 | fc0a:6006:2fff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc0a:6006:3000::/36 | fc0a:6006:3fff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc0a:6006:4000::/36 | fc0a:6006:4fff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc0a:6006:5000::/36 | fc0a:6006:5fff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc0a:6006:6000::/36 | fc0a:6006:6fff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc0a:6006:7000::/36 | fc0a:6006:7fff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc0a:6006:8000::/36 | fc0a:6006:8fff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc0a:6006:9000::/36 | fc0a:6006:9fff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc0a:6006:a000::/36 | fc0a:6006:afff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc0a:6006:b000::/36 | fc0a:6006:bfff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc0a:6006:c000::/36 | fc0a:6006:cfff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc0a:6006:d000::/36 | fc0a:6006:dfff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc0a:6006:e000::/36 | fc0a:6006:efff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc0a:6006:f000::/36 | fc0a:6006:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc0a:6007::/36 | fc0a:6007:fff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc0a:6007:1000::/36 | fc0a:6007:1fff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc0a:6007:2000::/36 | fc0a:6007:2fff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc0a:6007:3000::/36 | fc0a:6007:3fff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc0a:6007:4000::/36 | fc0a:6007:4fff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc0a:6007:5000::/36 | fc0a:6007:5fff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc0a:6007:6000::/36 | fc0a:6007:6fff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc0a:6007:7000::/36 | fc0a:6007:7fff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc0a:6007:8000::/36 | fc0a:6007:8fff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc0a:6007:9000::/36 | fc0a:6007:9fff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc0a:6007:a000::/36 | fc0a:6007:afff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc0a:6007:b000::/36 | fc0a:6007:bfff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc0a:6007:c000::/36 | fc0a:6007:cfff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc0a:6007:d000::/36 | fc0a:6007:dfff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc0a:6007:e000::/36 | fc0a:6007:efff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc0a:6007:f000::/36 | fc0a:6007:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc0a:6008::/36 | fc0a:6008:fff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc0a:6008:1000::/36 | fc0a:6008:1fff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc0a:6008:2000::/36 | fc0a:6008:2fff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc0a:6008:3000::/36 | fc0a:6008:3fff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc0a:6008:4000::/36 | fc0a:6008:4fff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc0a:6008:5000::/36 | fc0a:6008:5fff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc0a:6008:6000::/36 | fc0a:6008:6fff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc0a:6008:7000::/36 | fc0a:6008:7fff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc0a:6008:8000::/36 | fc0a:6008:8fff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc0a:6008:9000::/36 | fc0a:6008:9fff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc0a:6008:a000::/36 | fc0a:6008:afff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc0a:6008:b000::/36 | fc0a:6008:bfff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc0a:6008:c000::/36 | fc0a:6008:cfff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc0a:6008:d000::/36 | fc0a:6008:dfff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc0a:6008:e000::/36 | fc0a:6008:efff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc0a:6008:f000::/36 | fc0a:6008:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc0a:6009::/36 | fc0a:6009:fff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc0a:6009:1000::/36 | fc0a:6009:1fff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc0a:6009:2000::/36 | fc0a:6009:2fff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc0a:6009:3000::/36 | fc0a:6009:3fff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc0a:6009:4000::/36 | fc0a:6009:4fff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc0a:6009:5000::/36 | fc0a:6009:5fff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc0a:6009:6000::/36 | fc0a:6009:6fff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc0a:6009:7000::/36 | fc0a:6009:7fff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc0a:6009:8000::/36 | fc0a:6009:8fff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc0a:6009:9000::/36 | fc0a:6009:9fff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc0a:6009:a000::/36 | fc0a:6009:afff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc0a:6009:b000::/36 | fc0a:6009:bfff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc0a:6009:c000::/36 | fc0a:6009:cfff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc0a:6009:d000::/36 | fc0a:6009:dfff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc0a:6009:e000::/36 | fc0a:6009:efff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc0a:6009:f000::/36 | fc0a:6009:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc0a:600a::/36 | fc0a:600a:fff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc0a:600a:1000::/36 | fc0a:600a:1fff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc0a:600a:2000::/36 | fc0a:600a:2fff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc0a:600a:3000::/36 | fc0a:600a:3fff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc0a:600a:4000::/36 | fc0a:600a:4fff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc0a:600a:5000::/36 | fc0a:600a:5fff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc0a:600a:6000::/36 | fc0a:600a:6fff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc0a:600a:7000::/36 | fc0a:600a:7fff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc0a:600a:8000::/36 | fc0a:600a:8fff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc0a:600a:9000::/36 | fc0a:600a:9fff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc0a:600a:a000::/36 | fc0a:600a:afff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc0a:600a:b000::/36 | fc0a:600a:bfff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc0a:600a:c000::/36 | fc0a:600a:cfff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc0a:600a:d000::/36 | fc0a:600a:dfff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc0a:600a:e000::/36 | fc0a:600a:efff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc0a:600a:f000::/36 | fc0a:600a:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc0a:600b::/36 | fc0a:600b:fff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc0a:600b:1000::/36 | fc0a:600b:1fff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc0a:600b:2000::/36 | fc0a:600b:2fff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc0a:600b:3000::/36 | fc0a:600b:3fff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc0a:600b:4000::/36 | fc0a:600b:4fff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc0a:600b:5000::/36 | fc0a:600b:5fff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc0a:600b:6000::/36 | fc0a:600b:6fff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc0a:600b:7000::/36 | fc0a:600b:7fff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc0a:600b:8000::/36 | fc0a:600b:8fff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc0a:600b:9000::/36 | fc0a:600b:9fff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc0a:600b:a000::/36 | fc0a:600b:afff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc0a:600b:b000::/36 | fc0a:600b:bfff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc0a:600b:c000::/36 | fc0a:600b:cfff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc0a:600b:d000::/36 | fc0a:600b:dfff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc0a:600b:e000::/36 | fc0a:600b:efff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc0a:600b:f000::/36 | fc0a:600b:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc0a:600c::/36 | fc0a:600c:fff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc0a:600c:1000::/36 | fc0a:600c:1fff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc0a:600c:2000::/36 | fc0a:600c:2fff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc0a:600c:3000::/36 | fc0a:600c:3fff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc0a:600c:4000::/36 | fc0a:600c:4fff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc0a:600c:5000::/36 | fc0a:600c:5fff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc0a:600c:6000::/36 | fc0a:600c:6fff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc0a:600c:7000::/36 | fc0a:600c:7fff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc0a:600c:8000::/36 | fc0a:600c:8fff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc0a:600c:9000::/36 | fc0a:600c:9fff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc0a:600c:a000::/36 | fc0a:600c:afff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc0a:600c:b000::/36 | fc0a:600c:bfff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc0a:600c:c000::/36 | fc0a:600c:cfff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc0a:600c:d000::/36 | fc0a:600c:dfff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc0a:600c:e000::/36 | fc0a:600c:efff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc0a:600c:f000::/36 | fc0a:600c:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc0a:600d::/36 | fc0a:600d:fff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc0a:600d:1000::/36 | fc0a:600d:1fff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc0a:600d:2000::/36 | fc0a:600d:2fff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc0a:600d:3000::/36 | fc0a:600d:3fff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc0a:600d:4000::/36 | fc0a:600d:4fff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc0a:600d:5000::/36 | fc0a:600d:5fff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc0a:600d:6000::/36 | fc0a:600d:6fff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc0a:600d:7000::/36 | fc0a:600d:7fff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc0a:600d:8000::/36 | fc0a:600d:8fff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc0a:600d:9000::/36 | fc0a:600d:9fff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc0a:600d:a000::/36 | fc0a:600d:afff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc0a:600d:b000::/36 | fc0a:600d:bfff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc0a:600d:c000::/36 | fc0a:600d:cfff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc0a:600d:d000::/36 | fc0a:600d:dfff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc0a:600d:e000::/36 | fc0a:600d:efff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc0a:600d:f000::/36 | fc0a:600d:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc0a:600e::/36 | fc0a:600e:fff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc0a:600e:1000::/36 | fc0a:600e:1fff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc0a:600e:2000::/36 | fc0a:600e:2fff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc0a:600e:3000::/36 | fc0a:600e:3fff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc0a:600e:4000::/36 | fc0a:600e:4fff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc0a:600e:5000::/36 | fc0a:600e:5fff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc0a:600e:6000::/36 | fc0a:600e:6fff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc0a:600e:7000::/36 | fc0a:600e:7fff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc0a:600e:8000::/36 | fc0a:600e:8fff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc0a:600e:9000::/36 | fc0a:600e:9fff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc0a:600e:a000::/36 | fc0a:600e:afff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc0a:600e:b000::/36 | fc0a:600e:bfff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc0a:600e:c000::/36 | fc0a:600e:cfff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc0a:600e:d000::/36 | fc0a:600e:dfff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc0a:600e:e000::/36 | fc0a:600e:efff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc0a:600e:f000::/36 | fc0a:600e:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc0a:600f::/36 | fc0a:600f:fff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc0a:600f:1000::/36 | fc0a:600f:1fff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc0a:600f:2000::/36 | fc0a:600f:2fff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc0a:600f:3000::/36 | fc0a:600f:3fff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc0a:600f:4000::/36 | fc0a:600f:4fff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc0a:600f:5000::/36 | fc0a:600f:5fff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc0a:600f:6000::/36 | fc0a:600f:6fff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc0a:600f:7000::/36 | fc0a:600f:7fff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc0a:600f:8000::/36 | fc0a:600f:8fff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc0a:600f:9000::/36 | fc0a:600f:9fff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc0a:600f:a000::/36 | fc0a:600f:afff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc0a:600f:b000::/36 | fc0a:600f:bfff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc0a:600f:c000::/36 | fc0a:600f:cfff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc0a:600f:d000::/36 | fc0a:600f:dfff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc0a:600f:e000::/36 | fc0a:600f:efff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc0a:600f:f000::/36 | fc0a:600f:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |